using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Call_CheckIDDic
    /// </summary>
    public partial class T_Call_CheckIDDic
    {
        private readonly ZXDT.CallCenter.DAL.T_Call_CheckIDDic dal = new ZXDT.CallCenter.DAL.T_Call_CheckIDDic();
        public T_Call_CheckIDDic()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            return dal.Exists(F_Id);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Call_CheckIDDic model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Call_CheckIDDic model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteByCheckId(int F_CheckId, int F_Type)
        {

            return dal.DeleteByCheckId(F_CheckId, F_Type);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Call_CheckIDDic GetModel(int F_Id)
        {

            return dal.GetModel(F_Id);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_CheckIDDic> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_CheckIDDic> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Call_CheckIDDic> modelList = new List<ZXDT.CallCenter.Model.T_Call_CheckIDDic>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Call_CheckIDDic model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.T_Call_CheckIDDic();
                    if (dt.Rows[n]["F_Id"] != null && dt.Rows[n]["F_Id"].ToString() != "")
                    {
                        model.F_Id = int.Parse(dt.Rows[n]["F_Id"].ToString());
                    }
                    if (dt.Rows[n]["F_CheckId"] != null && dt.Rows[n]["F_CheckId"].ToString() != "")
                    {
                        model.F_CheckId = int.Parse(dt.Rows[n]["F_CheckId"].ToString());
                    }
                    if (dt.Rows[n]["F_DicId"] != null && dt.Rows[n]["F_DicId"].ToString() != "")
                    {
                        model.F_DicId = int.Parse(dt.Rows[n]["F_DicId"].ToString());
                    }
                    if (dt.Rows[n]["F_DicName"] != null && dt.Rows[n]["F_DicName"].ToString() != "")
                    {
                        model.F_DicName = dt.Rows[n]["F_DicName"].ToString();
                    }
                    if (dt.Rows[n]["F_Type"] != null && dt.Rows[n]["F_Type"].ToString() != "")
                    {
                        model.F_Type = int.Parse(dt.Rows[n]["F_Type"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

